Subject: Re: [PATCH next 07/11] ice: Introduce ETH56G PHY model for E825C products

From: Simon Horman <[email-masked]>
Date: Tue, 4 Jun 2024 10:28:47 +0100

On Mon, Jun 03, 2024 at 12:47:42PM -0700, Jacob Keller wrote:
> 
> 
> On 6/1/2024 3:35 AM, Simon Horman wrote:
> > On Tue, May 28, 2024 at 04:03:57PM -0700, Jacob Keller wrote:
> >> From: Sergey Temerkhanov <[email-masked]>
> >>
> >> E825C products feature a new PHY model - ETH56G.
> >>
> >> Introduces all necessary PHY definitions, functions etc. for ETH56G PHY,
> >> analogous to E82X and E810 ones with addition of a few HW-specific
> >> functionalities for ETH56G like one-step timestamping.
> >>
> >> It ensures correct PTP initialization and operation for E825C products.
> >>
> >> Co-developed-by: Jacob Keller <[email-masked]>
> >> Signed-off-by: Jacob Keller <[email-masked]>
> >> Co-developed-by: Michal Michalik <[email-masked]>
> >> Signed-off-by: Michal Michalik <[email-masked]>
> >> Signed-off-by: Sergey Temerkhanov <[email-masked]>
> >> Reviewed-by: Przemek Kitszel <[email-masked]>
> >> Reviewed-by: Arkadiusz Kubalewski <[email-masked]>
> >> Co-developed-by: Karol Kolacinski <[email-masked]>
> >> Signed-off-by: Karol Kolacinski <[email-masked]>
> >> Tested-by: Pucha Himasekhar Reddy <[email-masked]>
> >> Signed-off-by: Jacob Keller <[email-masked]>
> > 
> > Hi Jacob,
> > 
> > This isn't a proper review, but I noticed that your signed-off
> > appears twice above.
> > 
> 
> Yes it does. I developed some of the original code which Sergey used
> here (hence my Co-developed-by and Signed-off-by). But I am also
> covering for Tony and submitting the patch so I added my sign-off-by to
> the end of the sequence since I'm the one who submitted the full series
> to netdev.
> 
> I'm not entirely sure how to handle this, since its a bit awkward. I
> guess there are a couple of other ways we could have done this, from
> dropping my co-developed-by tag, to moving it to the end..

Thanks Jacob,

I understand the problem you face.

Perhaps you could move yourself to the bottom of the list of Co-developers,
below Tested-by.  But perhaps that is worse.

No big deal on my side if you stick with what you have,
although possibly it will be flagged again (by someone else).